<template>
  <h2 class="c-title" :class="`c-title--${type ? type : 'primary'}`">
    {{ text }}
    <Required v-if="requiredSign" />
  </h2>
</template>

<script>
import Required from "./Required";
export default {
  name: "Title",
  components: { Required },
  props: {
    text: {
      type: String,
      required: true
    },
    type: String,
    requiredSign: {
      type: Boolean
    }
  }
};
</script>

<style lang="scss">
.c-title {
  color: $c-text-primary;
  font-weight: $fw-bold;
  line-height: 2.4rem;

  &--primary {
    font-size: 2.1rem;
    margin-bottom: 3.5rem;
  }

  &--secondary {
    font-size: 1.8rem;
    margin-bottom: 2rem;
  }

  .required {
    font-size: 1.6rem;
    align-self: center;
    color: $c-error;
    margin-left: 0.3rem;
  }
}
</style>
